<template>
    <div style="margin: 3rem">
        <!-- CABECERA + BOTONES DE EDITAR Y CAPITULOS -->
        <header style="margin:10rem 6rem 3rem 6rem">
            <ReturnButton :isValidate="true" :title="chooseAboutTypeText(material.typeOfContent)" :offsetArrow="20" :spanTitle="3" style="margin-bottom:2.5rem" @clickEvent="viewListNovels"/>
            <ReturnButton :isValidate="true" :offsetArrow="20" :spanTitle="3" title="Ir al Reporte" v-on:clickEvent="goToReport" style="margin-bottom:2.5rem" v-if="showInfoCapDoc == true"/>
            <el-row :gutter="10">
                <el-col :span="3" :offset="17" v-if="!showInfoCapDoc == true && !isContractsProvider">
                    <el-button @click="showEdit('EDITAR')" justify="end" type="primary" plain> EDITAR </el-button>
                </el-col>
                <el-col :span="3" v-if="!showInfoCapDoc == true && !isContractsProvider">
                    <el-button @click="goToSeeChapter()" justify="end" type="primary"> CAPÍTULOS</el-button>
                </el-col>
                <el-col :span="3" :offset="20" v-if="!showInfoCapDoc == true && isContractsProvider">
                    <el-button @click="goToSeeChapter()" justify="end" type="primary"> CAPÍTULOS</el-button>
                </el-col>
            </el-row>
        </header>

        <el-card style="margin:3rem 6rem; color: white; background-color: #818181 !important" :body-style="{ padding: '10px 35px' }" shadow="never" class="border-none title-views bolt-light" v-if="!showInfoCap == true">
            <el-row type="flex" justify="space-between">
                <el-col :span="12">
                    {{ material.originalTitle.toUpperCase() }}
                    <span style="margin-left:1rem"> {{textCounterAboutTypeOfContent(material)}} </span>
                    <span style="margin-left:1.5rem"><strong>Cod. de géminis:</strong> {{material.geminisCode}}</span>
                </el-col>
            </el-row>
        </el-card>

     <el-row style="margin: 5rem 10rem;" v-if="material.reviewObj.userLogin">
        <el-col :span="6">
          <h3 class="bolt-light" >REVISADO POR: </h3>     
        </el-col>
            <el-col :span="15">
              <el-row :span="24" v-for="(item, index) in userReview" :key="index" style="margin-top: 1rem">
              <el-col :span="12" class="text-bold" >{{ item.user }}
              </el-col>
              <el-col :span="12"> ({{ item.date }})
              </el-col>
            </el-row>          
        </el-col>
      </el-row>  

        <div v-if="!showInfoCapDoc == true">
            <section style="margin:3rem 6rem">
                <div style="margin:2rem 3rem">
                    <h3 class="text-orange" style="margin-bottom:1.5rem"> DATOS DEL MATERIAL </h3>
                    <div style="margin:3rem 1rem">

                        <!-- CODIGO DEL MATERIAL, CODIGO DEL CONTRATO -->
                        <el-row>
                            <el-col :span="12" v-if="material.codMaterial">
                                <div>
                                    <el-row style="margin-top: 1rem">
                                        <el-col :span="0.10" style="padding-right:10px">
                                            <i class="el-icon-edit"></i>
                                        </el-col>
                                        <el-col :span="15">
                                            <h4 class="text-dark" style="margin-bottom:1.5rem">  CÓDIGO DEL MATERIAL</h4>
                                        </el-col>
                                    </el-row>
                                </div>
                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="13" style="margin-bottom:0.6rem">{{material.codMaterial}} </el-col>
                                    </el-row>
                                </div>
                            </el-col>
                            <el-col :span="11" style="margin-left:20px" v-if="material.contractCode">
                                <el-row style="margin-top: 1rem">
                                    <el-col :span="0.10" style="padding-right:10px">
                                        <i class="el-icon-edit"></i>
                                    </el-col>
                                    <el-col :span="15">
                                        <h4 class="text-dark" style="margin-bottom:1.5rem"> CÓDIGO DEL CONTRATO </h4>
                                    </el-col>
                                </el-row>
                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="13" style="margin-bottom:0.6rem">{{material.contractCode}} </el-col>
                                    </el-row>
                                </div>
                            </el-col>
                            <el-col :span="12" style="">
                                <el-row style="margin-top: 1rem">
                                    <el-col :span="0.10" style="padding-right:10px">
                                        <i class="el-icon-edit"></i>
                                    </el-col>
                                    <el-col :span="15">
                                        <h4 class="text-dark" style="margin-bottom:1.5rem"> CÓDIGO DE GÉMINIS </h4>
                                    </el-col>
                                </el-row>
                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="13" style="margin-bottom:0.6rem">{{material.geminisCode}} </el-col>
                                    </el-row>
                                </div>
                            </el-col>
                        </el-row>
                        
                        
                        <!-- SECCION TEMPORADAS DEL MATERIAL -->
                        <el-row style="margin-top: 4rem">
                            <el-col :span="0.10" style="padding-right:10px">
                                <i class="el-icon-edit"></i>
                            </el-col>
                            <el-col :span="10">
                                <h4 class="text-dark" style="margin-bottom:1.5rem"> TEMPORADAS DEL MATERIAL </h4>
                            </el-col>
                        </el-row>
                        <el-row style="margin:1rem 2.3rem">
                            <el-col class="line-heigth" :span="10" v-for="(item, index) in material.numChapters" :key="index" style="margin-right: 3rem;" :class="{'b-right': material.numChapters.length>1}">
                                <div class="grid-content">
                                    <el-row>
                                        <el-col :span="11" class="fonts-bold-general"> Temporada: </el-col>
                                        <el-col :offset="1" class="font-general" :span="7"> {{item.season}} </el-col>
                                    </el-row>
                                </div>
                                <el-row>
                                    <el-col :span="12" class="fonts-bold-general"> N° de Capítulos: </el-col>
                                    <el-col class="font-general" :span="7"> {{item.chapters}} </el-col>
                                </el-row>
                                <el-row>
                                    <el-col :span="12" class="fonts-bold-general"> Tipo de Capítulos: </el-col>
                                    <el-col class="font-general" :span="7"> {{item.TypeOfChapters}} </el-col>
                                </el-row>
                            </el-col>
                        </el-row>
                        <el-row>
                            <el-col :span="12">
                                <div>
                                    <el-row style="margin-top: 4rem">
                                        <el-col :span="0.10" style="padding-right:10px">
                                            <i class="el-icon-star-off"></i>
                                        </el-col>
                                        <el-col :span="15">
                                            <h4 class="text-dark" style="margin-bottom:1.5rem"> CLASIFICACIÓN Y CALIFICACIÓN </h4>
                                        </el-col>
                                    </el-row>
                                </div>
                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="11" class="fonts-bold-general"> Clasificación: </el-col>
                                        <el-col :offset="1" class="font-general" :span="7"> {{material.reviewObj.classification}} </el-col>
                                    </el-row>
                                </div>
                                <div class="grid-content">
                                    <el-row style="margin:0rem 2.3rem">
                                        <el-col :span="12" class="fonts-bold-general"> Calificacion: </el-col>
                                        <el-rate v-model="material.reviewObj.score" disabled style="display: inline-block;"></el-rate>
                                    </el-row>
                                </div>
                            </el-col>
                            <el-col :span="1">
                            </el-col>
                            <el-col :span="11" style="margin-left:20px">

                                <el-row style="margin-top: 4rem">
                                    <el-col :span="0.10" style="padding-right:10px">
                                        <i class="el-icon-edit"></i>
                                    </el-col>
                                    <el-col :span="15">
                                        <h4 class="text-dark" style="margin-bottom:1.5rem"> GÉNEROS DEL MATERIAL </h4>
                                    </el-col>
                                </el-row>

                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="13" style="margin-bottom:0.6rem">{{material.reviewObj.genre1}}</el-col>
                                        <el-col :span="13" style="margin-bottom:0.6rem">{{material.reviewObj.genre2}}</el-col>
                                    </el-row>
                                </div>
                            </el-col>
                        </el-row>
                        <el-row>
                            <el-col :span="12">
                                <div>
                                    <el-row style="margin-top: 4rem">
                                        <el-col :span="0.10" style="padding-right:10px">
                                            <i class="el-icon-star-off"></i>
                                        </el-col>
                                        <el-col :span="15">
                                            <h4 class="text-dark" style="margin-bottom:1.5rem">  PROVEEDOR Y PRODUCCIÓN </h4>
                                        </el-col>
                                    </el-row>
                                </div>
                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="8" class="fonts-bold-general"> Proveedor:</el-col>
                                        <el-col :span="15" style="margin-bottom:0.6rem">{{material.providerName}}</el-col>
                                    </el-row>
                                </div>

                                <div class="grid-content">
                                    <el-row style="margin:0rem 2.3rem">
                                        <el-col :span="8" class="fonts-bold-general"> Productora: </el-col>
                                        <el-col :span="10">
                                          <span v-for="(item, index) in material.reviewObj.arrProdCompany" :key="index">
                                            {{item.prodCompany}}<span v-if="index < (material.reviewObj.arrProdCompany.length -1)">, </span>
                                          </span>
                                        </el-col>
                                    </el-row>
                                </div>

                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="10" class="fonts-bold-general">Año de Producción:</el-col>
                                        <el-col :span="10">{{material.reviewObj.yearProduction}}</el-col>
                                    </el-row>
                                </div>

                            </el-col>
                            <el-col :span="11" style="margin-left:20px">
                                <el-row style="margin-top: 4rem">
                                    <el-col :span="0.10" style="padding-right:10px">
                                        <i class="el-icon-edit"></i>
                                    </el-col>
                                    <el-col :span="15">
                                        <h4 class="text-dark" style="margin-bottom:1.5rem"> ESTADO DE EMISIÓN </h4>
                                    </el-col>
                                </el-row>
                                <div class="grid-content">
                                    <el-row style="margin:1rem 2.3rem">
                                        <el-col :span="13" style="margin-bottom:0.6rem">{{material.reviewObj.emissionStatus}} </el-col>
                                    </el-row>
                                </div>
                            </el-col>
                        </el-row>
                    </div>
                </div>
            </section>
            <hr style="margin:3rem 6rem">
            <section style="margin:3rem 6rem">
                <div style="margin:2rem 3rem">
                    <el-row style="margin: 3rem 0">
                        <el-col :span="10">
                            <h3 class="text-orange">INFORMACIÓN ARTÍSTICA</h3>
                        </el-col>
                    </el-row>
                    <el-row>
                        <el-col :span="23" :offset="1">
                            <h3 style="margin-bottom:2rem">ACTORES PRINCIPALES Y SECUNDARIOS</h3>
                            <el-table style="width: 100%; margin: 2rem 0 3rem" :data="material.reviewObj.artisticInfo" :header-cell-class-name="tableRowClassName" border>
                                <el-table-column label="ACTORES PRINCIPALES">
                                    <template slot-scope="scope">
                                        <div style="margin-left: 10px" v-for="(item, index) in scope.row.mainActors" :key="index">
                                            <p>{{ item }}</p>
                                        </div>
                                    </template>
                                </el-table-column>
                                <el-table-column label="ACTORES SECUNDARIOS">
                                    <template slot-scope="scope">
                                        <div style="margin-left: 10px" v-for="(item, index) in scope.row.secondActors" :key="index">
                                            <p>{{ item }}</p>
                                        </div>
                                    </template>
                                </el-table-column>
                                <el-table-column label="DIRECCIÓN">
                                    <template slot-scope="scope">
                                        <div style="margin-left: 10px" v-for="(item, index) in scope.row.director" :key="index">
                                            <p>{{ item }}</p>
                                        </div>
                                    </template>
                                </el-table-column>
                                <el-table-column label="PRODUCCIÓN">
                                    <template slot-scope="scope">
                                        <div style="margin-left: 10px" v-for="(item, index) in scope.row.producer" :key="index">
                                            <p>{{ item }}</p>
                                        </div>
                                    </template>
                                </el-table-column>
                            </el-table>
                        </el-col>
                    </el-row>

                    <el-row> 
                        <el-col :span="23" :offset="1">
                            <h3 style="margin-bottom:2rem">TEMAS MUSICALES</h3>
                            <el-table style="width: 100%; margin: 2rem 0 3rem" :data="material.reviewObj.arrMusicalThemes" :header-cell-class-name="tableRowClassName" border>
                                <el-table-column prop="titleThemeSong" label="TEMA">
                                </el-table-column>
                                <el-table-column label="INTÉRPRETE">
                                    <template slot-scope="scope">
                                        <div style="margin-left: 10px" v-for="(item, index) in scope.row.arrInterpreters" :key="index">
                                            <p>{{ item.name }}</p>
                                        </div>
                                    </template>
                                </el-table-column>
                                <el-table-column label="COMPOSITOR">
                                    <template slot-scope="scope">
                                        <div style="margin-left: 10px" v-for="(item, index) in scope.row.arrComposer" :key="index">
                                            <p>{{ item.name }}</p>
                                        </div>
                                    </template>
                                </el-table-column>
                                <el-table-column  label="TEMA DE ENTRADA" prop="themeStart">                         
                                </el-table-column>

                                <el-table-column label="TEMA DE SALIDA"  prop="themeEnd">                       
                                </el-table-column>
                            </el-table>
                        </el-col>
                    </el-row>
                </div>
            </section>
        </div>

        <div v-if="showInfoCapDoc == true">

            <div v-if="!showInfoCap == true">
                <!-- Leyenda -->
                <el-row style="margin: 5rem;" type="flex" justify="space-around">
                    <el-col :span="3">
                        <p class="bg-dark-gray-2" style="padding:0 10px; width:6px; display:inline"></p>
                        <span style="margin-left:1rem">Sin Revisar</span>
                    </el-col>
                    <el-col :span="3">
                        <p class="bg-green" style="padding:0 10px; width:6px; display:inline"></p>
                        <span style="margin-left:1rem">Aprobado</span>
                    </el-col>
                    <el-col :span="6">
                        <p class="bg-red" style="padding:0 10px; width:6px; display:inline"></p>
                        <span style="margin-left:1rem">Pendiente de Reposición</span>
                    </el-col>
                </el-row>
                <!-- Temporada -->
                <el-row>
                    <el-col :span="22" :offset="1">
                        <div class="text-end">
                            <el-select v-model="season" placeholder="Temporada" size="small">
                                <el-option v-for="temp in optionsTemp" :key="temp.season" :label="temp.season" :value="temp.season">
                                </el-option>
                            </el-select>
                        </div>
                    </el-col>
                </el-row>
                <!-- tape -->
                <el-row>
                    <el-col :span="22" :offset="1">
                        <div class="box-title-red" v-if="season !== ''">
                            <h3>TEMPORADA {{season}} <span style="font-weight: lighter; margin-left: 15px;">({{Object(optionsTemp[season-1]).chapters}} Capítulos)</span></h3>
                        </div>
                    </el-col>
                    <el-col :span="22" :offset="1">
                        <div class="box-title-red" v-if="season == ''">
                            <h3>ELIGE UNA TEMPORADA TEMPORADA </h3>
                        </div>
                    </el-col>
                </el-row>
                <!-- Tarjetas -->
            </div>
            <el-row style="margin-top:3rem" :gutter="200" v-if="season !== ''">
                <el-col style="margin-bottom:3rem" :name="index" v-for="(value, index) in Object(optionsTemp[season-1]).infoByChapter" :key="index" :span="8">
                    <el-card class="bg-gray pointer cardCap" shadow="always" :class="'addClass-'+season+'-'+value.chapter" v-if="!showInfoCap == true">
                        <div @click="goToChapter(season, value.chapter)">
                            <div class="title-styles" style="margin-bottom:0.5rem" :class="value.colorCap">CAPÍTULO</div>
                            <div class="title-chapters" :class="value.colorCap">{{value.chapter}}</div>
                        </div>
                    </el-card>
                </el-col>

                <div v-if="showInfoCap == true">
                    <div class="form-caps" style="margin: 0 10rem">

                        <el-card style="margin:3rem 0; color: white; background-color: #818181 !important" :body-style="{ padding: '10px 35px' }" shadow="never" class="border-none title-views bolt-light">
                            <el-row type="flex" justify="space-between">
                                <el-col :span="12">{{ material.originalTitle.toUpperCase() }} - CAPÍTULO {{chapterSelected}}</el-col>
                                <el-col :span="12" class="text-end">REVISADO POR: {{this.userLogin.toUpperCase()}}</el-col>
                            </el-row>
                        </el-card>

                        <el-row style="margin: 3rem 0 2rem">
                            <h3 class="text-orange" style="margin: 1rem 0">OBSERVACIONES</h3>
                        </el-row>
                        <el-row>
                            <el-col :span="23" :offset="1">
                                <el-table style="width: 100%; margin: 1rem 0 3rem" 
                                :header-cell-class-name="tableRowClassName"
                                border>
                                    <el-table-column 
                                    label="OBSERVACIONES"
                                    prop="">
                                    </el-table-column>
                                    <el-table-column 
                                    label="DETALLE"
                                    prop="">
                                    </el-table-column>
                                    <el-table-column 
                                    label="ESTADO"
                                    prop="">
                                    </el-table-column>                                   
                                </el-table>
                            </el-col>
                        </el-row>

                        <el-row style="margin: 4rem 0 2rem">
                            <h3 class="text-orange" style="margin: 1rem 0">DATOS DEL CAPÍTULO</h3>
                        </el-row>
                        <el-row  style="margin: 1rem 0 2rem">
                            <el-col :span="12">
                                <p class="fonts-bold-general" style="margin: 1rem 0"> <strong>TÍTULO DEL CAPÍTULO:</strong></p>
                                {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).titleChapter }} 
                            </el-col>
                        </el-row>
                        <el-row style="margin: 1rem 0 2rem">
                            <el-col :span="10" style="border-right: 1px solid var(--color-grey-darken-2);">
                                <p class="fonts-bold-general" style="margin:  1rem 0"> <strong>DURACIÓN DEL CAPÍTULO:</strong></p>
                                {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).hourChapter}}  h {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).minChapter}} m  {{Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).secChapter }} s
                            </el-col>
                            <el-col :span="10" :offset="2">
                                <p class="fonts-bold-general" style="margin: 1rem 0"> <strong>ARTISTAS INVITADOS:</strong></p> 
                                <span v-for="(item, index) in Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).guestArtis" :key="index">
                                    <p>{{item.artist }}</p>
                                </span>
                            </el-col>
                        </el-row>
                        <el-row style="margin: 1rem 0 2rem">
                            <el-col :span="10" style="border-right: 1px solid var(--color-grey-darken-2);">
                                <p class="fonts-bold-general" style="margin: 1rem 0 "> <strong>SINOPSIS:</strong></p>
                                {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).synopsisChapter }} 
                            </el-col>   
                            <el-col :span="10" :offset="2">
                                <p class="fonts-bold-general" style="margin: 1rem 0 "> <strong>TEMA:</strong></p>
                                {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).themeChapter }}
                            </el-col>
                        </el-row>
                        <el-row style="margin: 1rem 0 2rem">
                            <p class="fonts-bold-general" style="margin: 1rem 0"> <strong>ETIQUETAS: </strong></p>
                            <el-tag v-for="(item, index) in Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).tags"
                                :key="index" type="info">
                                {{item}}
                            </el-tag>
                        </el-row>
                        <hr class= "line-card-gray">
                        <el-row style="margin: 4rem 0 2rem">
                            <h3 class="text-orange" style="margin: 1rem 0">FICHA TECNICA</h3>
                        </el-row>
                        <el-row  style="margin: 1rem 0 2rem">
                            <el-col :span="12">
                                <p class="fonts-bold-general" style="margin: 1rem 0"> <strong>RESOLUCIÓN DE PANTALLA:</strong></p>
                                <p><strong>Pantalla:</strong> {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).screenChapter }} </p>
                                <p><strong>Resolución:</strong> {{ Object(optionsTemp[seasonSelected-1].infoByChapter[chapterSelected-1]).screenResolutionChapter }} </p>
                            </el-col>
                        </el-row>
                        <hr class= "line-card-gray">
                        <el-row style="margin: 3rem 0 2rem">
                            <h3 class="text-orange" style="margin: 1rem 0">INGRESO DEL MATERIAL</h3>
                        </el-row>

                        <el-row>
                            <el-col :span="23" :offset="1">
                                <el-table style="width: 100%; margin: 1rem 0 3rem" 
                                :header-cell-class-name="tableRowClassName"
                                border>
                                    <el-table-column 
                                    label="FECHA DE LLEGADA"
                                    prop="arrivalDate">
                                    </el-table-column>
                                    <el-table-column 
                                    label="FECHA DE COPIADO"
                                    prop="arrivalDate">
                                    </el-table-column>
                                    <el-table-column 
                                    label="MODO DE ENVÍO"
                                    prop="arrivalDate">
                                    </el-table-column>
                                    <el-table-column 
                                    label="ALMACENAMIENTO"
                                    prop="arrivalDate">
                                    </el-table-column>
                                    <el-table-column 
                                    label="CÓDIGO DE DISCO"
                                    prop="arrivalDate">
                                    </el-table-column>                                    
                                </el-table>
                            </el-col>
                        </el-row>
                    </div> 
                </div>

            </el-row>

        </div>

    </div>
</template>
<script>

import {HTTP} from '../../../main.js'
import ReturnButton from '@/components/ReturnButton.vue'
import {scrollToTop, textCapitalize} from '@/utils/util.js'
export default {
  components: {
    ReturnButton,
  },
  data() {
      return {
          storageChapters:[],
          storageSeason:[],
          arrivalDate:'',
          supportInfo:[],
          tags:'',
          artist:'',
          guestArtis:[],
          secChapter:'',
          minChapter:'',
          hourChapter:'',
          titleChapter:'',
          chapterSelected:'',
          seasonSelected: '',
          infoByChapter: [],
          optionsTemp: [],
          season: '',
          showInfoCapDoc: false,
          showInfoCap: false,
          material: {},
          stateObs: 0,
          dialogTableVisible: false,
          previousInfor: {},
          userLogin: localStorage.getItem('userName'),
          reposicionMsg: 'En espera de Reposición',
          timeWithCred: '',
          timeWithoutCred: '',
          artisticInfo: [{
              mainActors: [],
              secondActors: [],
              directors: [],
              productors: [],
          }],
          returnButtonModal: false,
         userReview: [],
         isContractsProvider: false,
         codMaterialContractsProvider: localStorage.getItem('codMaterialContractsProvider'),
         totalMaterialsInContract: 0,
        positionIn: '',
        afiliacion: localStorage.getItem('afiliado'),
        totalMaterialsInContractMat: {},
        materialsInContract: []
      }
  },
  created() {
    this.getTables()
    this.isContractsProvider = this.$route.params.isContractsProvider
    this.materialObj()
    this.positionInContract()
    if (this.material.reviewObj) {
        this.material.reviewObj.arrMusicalThemes.map((el, i, arr) => {

            if(el.themeEnd == true ) {
                el.themeEnd = 'SÍ'
            }
            if(el.themeStart == true) {
                el.themeStart = 'SÍ'
            }
            if(el.themeEnd == false) {
              el.themeEnd = 'NO'
            }
            if(el.themeStart == false) {
               el.themeStart = 'NO'  
            }


        })
      if (this.material.reviewObj.arrProdCompany.length > 0) {
        this.prodCompanyEdit = this.material.reviewObj.arrProdCompany
      }
    }
    else {
      this.prodCompanyEdit = [{
        prodCompany: ""
      }]
      }

    this.optionsTemp = this.material.numChapters

    if(this.afiliacion == 'false'){
        let idContract = this.material.contractCode
        let idMaterial = this.material.__id
        this.getSupportInfo(idContract, idMaterial)
    } 
    // else {
    //     this.setGroupMat(this.materialsInContract)
    // }
    
    console.log(this.material, 'this.material')
    
    },
    computed: {
        validationTypesMaterials() {
            let valueConditional
            if(this.material.typeOfContent !== 'Novelas' || this.material.typeOfContent !== 'TELENOVELA' || this.material.typeOfContent !== 'TELEVISA - TELENOVELAS' || this.material.typeOfContent !== 'Series' || this.material.typeOfContent !== 'SERIE' || this.material.typeOfContent !== 'TELEVISA - SERIES' || this.material.typeOfContent !== 'Dibujos' || this.material.typeOfContent !== 'DIBUJOS' || this.material.typeOfContent !== 'Especial' || this.material.typeOfContent !== 'ESPECIALES') {
                if(this.material.typeOfContent === 'Religioso') {
                    valueConditional = true
                } else {
                    valueConditional = false
                }
            } else {
                valueConditional = true
            }
            return valueConditional
        }
    },
    methods: {
        textConvertToSentence(text, material) {
            let data = text.toLowerCase()
            return data.charAt(0).toUpperCase() + data.slice(1)
        }, 
        getSupportInfo(idContract, idMaterial) {
            // console.log('entra aquii')
            HTTP.get(`contracts/contractCode/${idContract}`)
            .then(res => {
            // console.log(res.data.contract, 'res')
            // this.materialsInContract = res.data.contract[0].admittedMaterials
            // this.setGroupMat(this.materialsInContract)
            this.materialsInContract.map((el, i, arr) => {
                if(el._id === idMaterial) {
                this.supportInfo = el
                }
            })})
            .catch(err => console.log(err));
            
        },
        goToChapter(season, chapter) {
            this.showInfoCap = true
            this.chapterSelected = chapter
            this.seasonSelected = season
        },
      goToSeeChapter() {
        if (this.isContractsProvider === true ){
            this.$router.push({name: 'reportCap', params: { isContractsProvider: true }})
        }
        else {
            this.$router.push({name: 'reportCap'})
        }        
        // this.showInfoCapDoc = true;

      },
      goToReport() {
          this.showInfoCapDoc = false;
      },
      getTables() {
          let dataType = 'tables';
          this.$store.dispatch("getData", dataType);
      },
      materialObj() {
          console.log(this.isContractsProvider,'this.isContractsProvider')
        // if ( this.isContractsProvider == true ) {
        //     HTTP.get('materials/'+ this.codMaterialContractsProvider)
        //     .then(res => {
        //     this.material = res.data.material
        //     console.log(res.data.material,'materials id')
        //     console.log(res.data.material.reviewObj,'materials id reviewObj')
        //     })
        //     .catch(err => console.log(err))
            
        // }
        // else {
        //     this.material = JSON.parse(this.$localStorage.get("selectedMaterial"))
        //     console.log(this.material,'data')
        // }  
        this.material = JSON.parse(this.$localStorage.get("selectedMaterial"))
        
        console.log(this.userReview,'this.userReview')
        this.userReview = JSON.parse(this.$localStorage.get("selectedMaterial")).reviewObj.userLogin
        
      },
      async positionInContract() {
        try {
            const {contractCode} = this.material
            if(contractCode) {
                const {data: {contract}} = await HTTP.get('contracts/contractCode/'+ contractCode)
                this.materialsInContract = contract[0].admittedMaterials
                this.setGroupMat(this.materialsInContract)
            }
        } catch(err) {
            console.log(err, 'err')
        }
      },
      showEdit(state) {
        this.$localStorage.set('stateEditReception', JSON.stringify(state))
        this.$localStorage.set('idMaterialEditR', JSON.stringify(this.material.__id))
        this.$router.push({
          name: 'revNovel'
        })
      },

      dataConverter(propertyToConvert, propertyName) {
        let newArr = []
        propertyToConvert.map((el, i, arr) => {
          newArr.push({
            name: el
          })
        })
        this.artisticInfo[0][propertyName] = newArr;
      },
      viewListNovels() {
        if (this.isContractsProvider === true ) {
			this.$router.push({ name: 'contractsProvider' })
        }
        else {
            if(this.material.typeOfContent == 'Programas Especiales'){
                this.$localStorage.set('typeMaterialR', 'Programas Especiales')
                this.$router.push({name: 'specials', params: { canned: true }})
            } else if ( this.material.typeOfContent !== 'Dibujos' && this.material.typeOfContent !== 'DIBUJOS' && this.material.typeOfContent !== 'TELEVISA - TELENOVELAS'  && this.material.typeOfContent !== 'TELENOVELA'  &&  this.material.typeOfContent !== 'Novelas' && this.material.typeOfContent !== 'TELEVISA - SERIES'  &&  this.material.typeOfContent !== 'SERIE'  &&  this.material.typeOfContent !== 'Series' ) {
                console.log(this.afiliacion, 'this.afiliacion')
                if(this.afiliacion == 'true'){
                    this.$router.push({name: 'tipoDeMaterial'})
                } else{
                    this.$router.push({name: 'typeMaterial'})
                }
            } else {
                this.$router.push({name: 'novels'})
            }  
        }
      },
        tableRowClassName({row, rowIndex}) {
            if (rowIndex === 0) {
                return 'bg-light-red';
            }
        },
        textCounterAboutTypeOfContentSecond(mat) {
            const {typeOfContent, codMaterial } = mat
            if(this.totalMaterialsInContractMat[typeOfContent]) {
                let total = this.totalMaterialsInContractMat[typeOfContent]
                let num = this.getPositionMat(mat)
                return `(${num} / ${total})`
            }
        },
        textCounterAboutTypeOfContent(val) {
            const {contractPosition} = val
            if(contractPosition || contractPosition !== '') {
                return `(${contractPosition})`
            } else {
                return this.textCounterAboutTypeOfContentSecond(val)
            }
        },
        setGroupMat(arr) {
            let arrTypeContent = arr.map((e) => (e.typeOfContent))
            let valuesRepeat = {};
            arrTypeContent.forEach(function(i) { valuesRepeat[i] = (valuesRepeat[i]||0) + 1;})
            this.totalMaterialsInContractMat = valuesRepeat
        },
        getPositionMat (obj) {
            const {typeOfContent, codMaterial} = obj
            let newArr =  this.agroupCategories(this.materialsInContract)
            let response
            if(newArr[typeOfContent]) {
                newArr[typeOfContent].forEach((e, i) => {
                    if(e.codMaterial  === codMaterial) {
                        response = i+1
                    }
                })
            }
            return response
        },
        agroupCategories (arr) {
            let agrupando = {};
            arr.forEach((obj, i) => {
                let cuts = obj.typeOfContent;
                let key = cuts;
                if (agrupando[key] == null) {
                    agrupando[key] = [];
                }
                agrupando[key].push(obj);
            })
            return agrupando
        },
        chooseAboutTypeText(val) {
            let text = val.toLowerCase()
            let textTransform = textCapitalize(text)
            
            if(this.showInfoCapDoc ==  true) {
                return this.isContractsProvider ? 'Regresar' : 'Ir al Reporte'
            } else {
                if(this.isContractsProvider) {
                    return 'Regresar'
                } else {
                    if(val == 'Novelas' || val == 'TELENOVELA'|| val == 'TELEVISA - TELENOVELAS') {
                        return 'Ir a Novelas'
                    } else if(val == 'Series' || val == 'SERIE'|| val == 'TELEVISA - SERIES') {
                        return 'Ir a Series'
                    } else if(val == 'Dibujos' || val== 'DIBUJOS') {
                        return 'Ir a Dibujos'
                    } else if (val == 'TELEVISA - ESPECIALES' || val == 'Programas Especiales') {
                        return 'Ir a Especiales'
                    } else {
                        return `Ir a ${textTransform}`
                    }
                }
                
            }
        }
    }
}
</script>

<style>
.b-right{
    border-right:1px solid var(--color-grey-darken-2);
}
</style>